---
html:
  toc: true
  offline: true
export_on_save:
  html: true
---
# Jmeter 설치하기
---
KSB 인공지능 프레임워크는 스트림 데이터를 생성하기 위해 Jmeter를 도구로 사용합니다. Jmeter를 설치하는 방법은 아래와 같습니다.


- <a href="https://csleoss.etri.re.kr/images/contents/manual_1.0/1.2.HowToInstallKsbToolBox.html" title="KSB 툴박스 설치">KSB 툴박스 설치</a>의 KSB 툴박스 설치 및 도커 이미지 로딩을 참고하여 생성된 ksb-csle 폴더의 jmeter/bin 폴더로 이동 후, ./jmeter를 실행합니다.
-
```Bash
  csle@myHostName:~$ cd /home/csle/ksb-csle/apache-jmeter-3.2/bin
  csle@myHostName:~/ksb-csle/apache-jmeter-3.2/bin$ ./jmeter
```

 - open을 클릭 후, 상위 폴더인 testplan 폴더로 이동하여 HTTP-post-random5.jmx을 선택합니다.
![Jmeter image](./images/jmeter_img1.png)

 - run을 클릭 후, 가상의 온도 센서 데이터를 주기적으로 전송합니다. (default : 2초 간격)
![Jmeter image](./images/jmeter_img2.png)

- CLI의 진행사항 확인방법과 동일하게 docker 컨테이너의 터미널에서 log를 통해 진행상황을 할 수 있습니다.
![Jmeter image](./images/jmeter_img3.png)
