---
html:
  toc: true
  offline: true
export_on_save:
  html: true
---
# 템플릿 양식 설명 (제목 밑에 밑줄 추가)
---

예제 내용 설명하기
굵은 글씨체는 **이렇게** 사용하세요.


## 두번째 제목
제목은 #을 붙여서 표현해야 자동으로 TOC가 만들어집니다. # 레벨이 중간에 빠진것이 있으면 TOC가 이상하게 만들어지므로 순차적으로 제목을 달아야 합니다.

### 세번째 제목
#### 네번째 제목
메세지나 코드 등을 넣을때는 아래 양식을 사용합니다.

```java
여기안에 코드 작성
java/python/scala/sh

message KMeansInfo {
    required int32 k_value = 1 [default = 2];
    required int32 maxIterations = 2 [default = 100];
    required int32 maxRuns = 3 [default = 10];
    optional int64 seed = 4;
}
```

표양식은 아래와 같습니다.

field  |value   | 설명
--|---|--
ip  |  172.18.0.2 |  HTTP 서버의 주소를 입력합니다.
port  |  53002 |  HTTP 서버의 포트번호를 입력합니다.
  |   |  



개요식 설명을 할때는 아래와 같이 사용합니다.
하위 항목을 하나 더 만들고 싶을때는 탭으로 들여쓰기 하면 됩니다.
- 가
- 나
  - 1
  - 2
    - 3
    - 4
- 다
- 라

한줄 띄우고 싶을때는 아래와 같이 입력합니다.
<br>

이미지는 images 폴더를 만들어서 하위디렉토리로 추가합니다.
이미지 제목 또는 md 파일 제목에 공백이 들어가면 링크주소가 깨질수 있습니다.
공백을 사용하지 마세요.
이미지 이름은 앞에 목차번호를 넣고 사용자 마음대로 하세요.
2_2_2_1_test

이미지에서 사각형 박스나 글을 추가할때는 빨간색으로 합니다.



![워크플로우 완성 화면](./images/RealtimeIngestToServingWithKbInTwoEngines(2).png)
![test image](images/2_2_2_4_running.png)
![test image2](images/2_2_2_5_monitoring.png)

## 링크를 거는 방법
링크 주소는 http://csleoss.etri.re.kr:8088/images/contents/manual/html파일명
입니다


구체적인 사용 방법은 <a href="http://csleoss.etri.re.kr:8088/images/contents/manual/2.2.2.WebToolkit_Workflow.html">워크플로우 편집 상세 기능 보기</a>를 참조한다.



KSB 웹툴킷 상단의 **Monitoring** 메뉴를 클릭하여 진행내역/상태모니터링 화면으로 이동합니다. **Workflow** 탭에서 작성한 워크플로우가 실행 중 (<span style="color:#6698FF">Inprogress</span>)인 것을 확인할 수 있습니다. 이 화면에서 실행 중인 워크플로우를 종료(<span style="color:red">&#9724;</span>)하거나, 다시 실행(<span style="color:#6698FF">&#9654;</span>)할 수 있습니다.

## 편집툴은 Atom 을 사용합니다.
아래 패키지를 설치해 주세요.

markdown-preview-enhanced, shd101wyy
markdown-writer, zhuochun
tool-bar-markdown-writer, zhuochun
